org.keycloak.services.managers

## Class ResourceAdminManager

- java.lang.Object
- - org.keycloak.services.managers.ResourceAdminManager

-     public class ResourceAdminManager
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static org.jboss.logging.Logger` | `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceAdminManager()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static org.jboss.resteasy.client.core.executors.ApacheHttpClient4Executor` | `createExecutor()`
    `protected String` | `getManagementUrl(URI requestUri, ApplicationModel application)`
    `SessionStats` | `getSessionStats(URI requestUri, KeycloakSession session, RealmModel realm, ApplicationModel application, boolean users)`
    `SessionStats` | `getSessionStats(URI requestUri, KeycloakSession session, RealmModel realm, ApplicationModel application, boolean users, org.jboss.resteasy.client.core.executors.ApacheHttpClient4Executor client)`
    `UserStats` | `getUserStats(URI requestUri, RealmModel realm, ApplicationModel application, UserModel user)`
    `UserStats` | `getUserStats(URI requestUri, RealmModel realm, ApplicationModel application, UserModel user, org.jboss.resteasy.client.core.executors.ApacheHttpClient4Executor client)`
    `void` | `logoutAll(URI requestUri, RealmModel realm)`
    `void` | `logoutApplication(URI requestUri, RealmModel realm, ApplicationModel resource, String user, String session)`
    `protected boolean` | `logoutApplication(URI requestUri, RealmModel realm, ApplicationModel resource, String user, String session, org.jboss.resteasy.client.core.executors.ApacheHttpClient4Executor client, int notBefore)`
    `void` | `logoutSession(URI requestUri, RealmModel realm, UserSessionModel session)`
    `void` | `logoutUser(URI requestUri, RealmModel realm, String user, UserSessionModel session)`
    `void` | `pushApplicationRevocationPolicy(URI requestUri, RealmModel realm, ApplicationModel application)`
    `void` | `pushRealmRevocationPolicy(URI requestUri, RealmModel realm)`
    `protected boolean` | `pushRevocationPolicy(URI requestUri, RealmModel realm, ApplicationModel resource, int notBefore, org.jboss.resteasy.client.core.executors.ApacheHttpClient4Executor client)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected static org.jboss.logging.Logger logger

  - ### Constructor Detail

    - #### ResourceAdminManager

          public ResourceAdminManager()

  - ### Method Detail

    - #### getSessionStats

          public SessionStats getSessionStats(URI requestUri,
                                     KeycloakSession session,
                                     RealmModel realm,
                                     ApplicationModel application,
                                     boolean users)

    - #### createExecutor

          public static org.jboss.resteasy.client.core.executors.ApacheHttpClient4Executor createExecutor()

    - #### getSessionStats

          public SessionStats getSessionStats(URI requestUri,
                                     KeycloakSession session,
                                     RealmModel realm,
                                     ApplicationModel application,
                                     boolean users,
                                     org.jboss.resteasy.client.core.executors.ApacheHttpClient4Executor client)

    - #### getManagementUrl

          protected String getManagementUrl(URI requestUri,
                                ApplicationModel application)

    - #### getUserStats

          public UserStats getUserStats(URI requestUri,
                               RealmModel realm,
                               ApplicationModel application,
                               UserModel user)

    - #### getUserStats

          public UserStats getUserStats(URI requestUri,
                               RealmModel realm,
                               ApplicationModel application,
                               UserModel user,
                               org.jboss.resteasy.client.core.executors.ApacheHttpClient4Executor client)

    - #### logoutUser

          public void logoutUser(URI requestUri,
                        RealmModel realm,
                        String user,
                        UserSessionModel session)

    - #### logoutSession

          public void logoutSession(URI requestUri,
                           RealmModel realm,
                           UserSessionModel session)

    - #### logoutAll

          public void logoutAll(URI requestUri,
                       RealmModel realm)

    - #### logoutApplication

          public void logoutApplication(URI requestUri,
                               RealmModel realm,
                               ApplicationModel resource,
                               String user,
                               String session)

    - #### logoutApplication

          protected boolean logoutApplication(URI requestUri,
                                  RealmModel realm,
                                  ApplicationModel resource,
                                  String user,
                                  String session,
                                  org.jboss.resteasy.client.core.executors.ApacheHttpClient4Executor client,
                                  int notBefore)

    - #### pushRealmRevocationPolicy

          public void pushRealmRevocationPolicy(URI requestUri,
                                       RealmModel realm)

    - #### pushApplicationRevocationPolicy

          public void pushApplicationRevocationPolicy(URI requestUri,
                                             RealmModel realm,
                                             ApplicationModel application)

    - #### pushRevocationPolicy

          protected boolean pushRevocationPolicy(URI requestUri,
                                     RealmModel realm,
                                     ApplicationModel resource,
                                     int notBefore,
                                     org.jboss.resteasy.client.core.executors.ApacheHttpClient4Executor client)

Copyright © 2014. All Rights Reserved.